# Note:  The tests for this perl dist. are disabled by default, as they
# require display access and would thus fail in the buildsys' mock
# environments.  To build locally while enabling tests, either:
#
#   rpmbuild ... --define '_with_display_tests 1' ...
#   rpmbuild ... --with display_tests ...
#   define _with_display_tests 1 in your ~/.rpmmacros
#
# Note that right now, the only way to run tests locally from a cvs sandbox
# "make noarch" type scenario is the third one.


Name:           perl-Gtk2-TrayIcon
Version:        0.03        
Release:        3%{?dist}
Summary:        Perl interface to the EggTrayIcon library 

Group:          Development/Libraries
License:        LGPL 
URL:            http://search.cpan.org/dist/Gtk2-TrayIcon            
Source0: http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/Gtk2-TrayIcon-%{version}.tar.gz        
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl
BuildRequires:  perl(Gtk2) >= 0.96, gtk2-devel
BuildRequires:  perl(ExtUtils::PkgConfig), perl(ExtUtils::Depends)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module allows a Perl developer to embed an arbitrary widget in a System
Tray like the Gnome notification area.

%prep
%setup -q -n Gtk2-TrayIcon-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*


%check
# see top of spec
%{?_with_display_tests: make test}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc TODO examples/*
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Gtk2
%{_mandir}/man3/*.3*


%changelog
* Thu Aug 31 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.03-3
- bump for mass rebuild

* Thu Aug 10 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.03-2
- bump for release

* Fri Jul 28 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.03-1
- Initial spec file for F-E
